export function omit<T extends Record<string, any>, K extends keyof T>(
  obj: T,
  keys: K[]
): Omit<T, K> {
  const result: Partial<T> = {};
	for (const key of Object.keys(obj) as (keyof T)[]) {
		if (!keys.includes(key as K)) {
      result[key] = obj[key];
    }
	}
  return result as Omit<T, K>;
}
